absence de libgtk1.2 dans squeeze

Le
a.lb
Bonjour,
J'utilisais avec Lenny le logiciel de recette de cuisine "Gfaim".
Depuis le passage à Squeeze impossible de lancer ce programme le messa=
ge d'erreur est le
suivant:
./gfaim: error while loading shared libraries: libgtk-1.2.so.0: cannot op=
en shared object
file: No such file or directory
Or cette librairie ne semble pas exister,je ne trouve que libgtk1.2-common =
d'installée.
Comment résoudre ce problème lien symbolique(vers quelle librairi=
e) ou autre solution.


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/201105231909.31537.alain.lebigot@dbmail.com
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Bernard Schoenacker
Le #23386641
Le Mon, 23 May 2011 19:09:31 +0200,
"a.lb"

Bonjour,
J'utilisais avec Lenny le logiciel de recette de cuisine "Gfaim".
Depuis le passage à Squeeze impossible de lancer ce programme le
message d'erreur est le suivant:
./gfaim: error while loading shared libraries: libgtk-1.2.so.0:
cannot open shared object file: No such file or directory
Or cette librairie ne semble pas exister,je ne trouve que
libgtk1.2-common d'installée. Comment résoudre ce problème lien
symbolique(vers quelle librairie) ou autre solution.



bonjour,

la solution radicale consiste à mettre en place la version
de gtk supérieure et de compiler les sources de gfaim

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
nicolas.patrois
Le #23386901
Le 23/05/2011 19:09:31, a.lb a écrit :

J'utilisais avec Lenny le logiciel de recette de cuisine "Gfaim".
Depuis le passage à Squeeze impossible de lancer ce programme le
message d'erreur est le
suivant:
./gfaim: error while loading shared libraries: libgtk-1.2.so.0:
cannot
open shared object
file: No such file or directory
Or cette librairie ne semble pas exister,je ne trouve que
libgtk1.2-common d'installée.
Comment résoudre ce problème lien symbolique(vers quelle librairie)
ou autre solution.



Essaie de télécharger la bibliothèque à partir d'une version plus
ancienne de Debian.
Chez moi, par exemple, j'ai gardé XMMS, qui utilise lui aussi cette
bibliothèque.

nicolas patrois : pts noir asocial
--
RÉALISME

M : Qu'est-ce qu'il nous faudrait pour qu'on nous considère comme des
humains ? Un cerveau plus gros ?
P : Non... Une carte bleue suffirait...

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
a.lb
Le #23387041
Le lundi 23 mai 2011 20:30:45, a écrit :
Le 23/05/2011 19:09:31, a.lb a écrit :
> J'utilisais avec Lenny le logiciel de recette de cuisine "Gfaim".
> Depuis le passage à Squeeze impossible de lancer ce programme le
> message d'erreur est le
> suivant:
> ./gfaim: error while loading shared libraries: libgtk-1.2.so.0:
> cannot
> open shared object
> file: No such file or directory
> Or cette librairie ne semble pas exister,je ne trouve que
> libgtk1.2-common d'installée.
> Comment résoudre ce problème lien symbolique(vers quelle librairie)
> ou autre solution.

Essaie de télécharger la bibliothèque à partir d'une version plus
ancienne de Debian.
Chez moi, par exemple, j'ai gardé XMMS, qui utilise lui aussi cette
bibliothèque.

nicolas patrois : pts noir asocial


En effet ça fonctionne.
Merci

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
a.lb
Le #23387051
Le lundi 23 mai 2011 19:21:00, Bernard Schoenacker a écrit :
Le Mon, 23 May 2011 19:09:31 +0200,

"a.lb" > Bonjour,
> J'utilisais avec Lenny le logiciel de recette de cuisine "Gfaim".
> Depuis le passage à Squeeze impossible de lancer ce programme le
> message d'erreur est le suivant:
> ./gfaim: error while loading shared libraries: libgtk-1.2.so.0:
> cannot open shared object file: No such file or directory
> Or cette librairie ne semble pas exister,je ne trouve que
> libgtk1.2-common d'installée. Comment résoudre ce problème lien
> symbolique(vers quelle librairie) ou autre solution.

bonjour,

la solution radicale consiste à mettre en place la version
de gtk supérieure et de compiler les sources de gfaim



Oui, merci mais ça je suis trop juste pour faire,je ne trouve pas quel gt k
télécharger.
Merci pour la réponse.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Bernard Schoenacker
Le #23387171
Le Mon, 23 May 2011 22:10:00 +0200,
"a.lb"

Le lundi 23 mai 2011 19:21:00, Bernard Schoenacker a écrit :
> Le Mon, 23 May 2011 19:09:31 +0200,
>
> "a.lb" > > Bonjour,
> > J'utilisais avec Lenny le logiciel de recette de cuisine "Gfaim".
> > Depuis le passage à Squeeze impossible de lancer ce programme le
> > message d'erreur est le suivant:
> > ./gfaim: error while loading shared libraries: libgtk-1.2.so.0:
> > cannot open shared object file: No such file or directory
> > Or cette librairie ne semble pas exister,je ne trouve que
> > libgtk1.2-common d'installée. Comment résoudre ce problème lien
> > symbolique(vers quelle librairie) ou autre solution.
>
> bonjour,
>
> la solution radicale consiste à mettre en place la version
> de gtk supérieure et de compiler les sources de gfaim
>
Oui, merci mais ça je suis trop juste pour faire,je ne trouve pas
quel gtk télécharger.
Merci pour la réponse.




bonjour,

il faut simplement installer :

libgtk2.0-0
libgtk2.0-bin
libgtk2.0-common

voici ce que donne :
apt-cache policy libgtk2.0-common

libgtk2.0-common:
Installé : 2.24.4-3
Candidat : 2.24.4-3
Table de version :
*** 2.24.4-3 0
500 http://ftp2.fr.debian.org/debian/ sid/main i386 Packages
500 http://ftp.de.debian.org/debian/ sid/main i386 Packages
500 http://ftp.uni-stuttgart.de/debian/ testing/main i386 Packages
500 http://ftp.at.debian.org/debian/ testing/main i386 Packages

le reste coule de source

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
a.lb
Le #23387391
Le lundi 23 mai 2011, Bernard Schoenacker a écrit :
Le Mon, 23 May 2011 22:10:00 +0200,

> Oui, merci mais ça je suis trop juste pour faire,je ne trouve pas
> quel gtk télécharger.
> Merci pour la réponse.

bonjour,

il faut simplement installer :

libgtk2.0-0
libgtk2.0-bin
libgtk2.0-common


J'ai bien ces paquets d'installés ,à la compile j'obtiens ce message d 'erreurs:
gcc -DDATADIR=""/usr/lib/gfaim"" `gtk-config --cflags` gfaim.c -o gfai m `gtk-config --libs`
/bin/sh: gtk-config: not found
/bin/sh: gtk-config: not found
Suivi de toute une liste d'autre erreurs ,qui je pense doivent être lié es à celle là.

gfaim.c:3:18: error: glib.h: Aucun fichier ou dossier de ce type
gfaim.c:5:21: error: gtk/gtk.h: Aucun fichier ou dossier de ce type


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
nicolas.patrois
Le #23387611
Le 23/05/2011 22:10:37, a.lb a écrit :

En effet ça fonctionne.



Sinon, j'aurais pu t'envoyer le fichier tout seul, il fait 1,3 mégot.

nicolas patrois : pts noir asocial
--
RÉALISME

M : Qu'est-ce qu'il nous faudrait pour qu'on nous considère comme des
humains ? Un cerveau plus gros ?
P : Non... Une carte bleue suffirait...

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
David Soulayrol
Le #23387651
Bonjour,

Le 24 mai 2011 06:35, a.lb

      il faut simplement installer :

      libgtk2.0-0
      libgtk2.0-bin
      libgtk2.0-common


J'ai bien ces paquets  d'installés ,à la compile j'obtiens ce message d'erreurs:
gcc -DDATADIR=""/usr/lib/gfaim"" `gtk-config --cflags`  gfaim.c -o gfaim `gtk-config --libs`
/bin/sh: gtk-config: not found
/bin/sh: gtk-config: not found
Suivi de toute une liste d'autre erreurs ,qui je pense doivent être liées à celle là.

gfaim.c:3:18: error: glib.h: Aucun fichier ou dossier de ce type
gfaim.c:5:21: error: gtk/gtk.h: Aucun fichier ou dossier de ce type



gtk-config et les fichiers d'en-tête se trouvent dans les paquets de
développement ;

libgtk2.0-dev - Development files for the GTK+ library

--
David

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
a.lb
Le #23387881
Le mardi 24 mai 2011, David Soulayrol a écrit :
Bonjour,

Le 24 mai 2011 06:35, a.lb >> il faut simplement installer :
>>
>> libgtk2.0-0
>> libgtk2.0-bin
>> libgtk2.0-common
>
> J'ai bien ces paquets d'installés ,à la compile j'obtiens ce message
> d'erreurs: gcc -DDATADIR=""/usr/lib/gfaim"" `gtk-config --cflags`
> gfaim.c -o gfaim `gtk-config --libs` /bin/sh: gtk-config: not found
> /bin/sh: gtk-config: not found
> Suivi de toute une liste d'autre erreurs ,qui je pense doivent êtr e liées
> à celle là.
>
> gfaim.c:3:18: error: glib.h: Aucun fichier ou dossier de ce type
> gfaim.c:5:21: error: gtk/gtk.h: Aucun fichier ou dossier de ce type

gtk-config et les fichiers d'en-tête se trouvent dans les paquets de
développement ;

libgtk2.0-dev - Development files for the GTK+ library


Paquet installé et toujours même problème pas de changement.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
David Soulayrol
Le #23388001
Le 24 mai 2011 10:31, a.lb

gtk-config et les fichiers d'en-tête se trouvent dans les paquets d e
développement ;

  libgtk2.0-dev - Development files for the GTK+ library


Paquet installé et toujours même problème pas de changemen t.



Effectivement, glib-config et gtk-config semblent n'être présents que
dans les paquets (glib|gtk)1.2-dev. Mille excuses.
Gtk-2.0 s'appuie sur pkg-config (du paquet éponyme). D'après ce q ue je
comprends de tes manips, tu vas devoir adapter ta compilation pour
faire appel à cet utilitaire (à mon avis très proche du pr écédent).
Note que l'installation des paquets de développement gtk, glib reste
nécessaire.

--
David

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme